CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug {options]

Erilaisia komentoriviliittymiä, jotka ovat hyödyllisiä calibren virheenkorjauksessa. Ilman vaihtoehtoja, tämä komento käynnistää sulautetun Python-tulkin. Voit myös ajaa pääohjelman calibre GUI, calibre E-book viewer ja calibre editor debug-tilassa.

Se sisältää myös rajapintoja erilaisiin calibren osiin, joissa ei ole omia komentorivityökaluja, kuten fonttien alustus, E-kirjan diff-työkalu ja niin edelleen.

Voit myös käyttää calibre-debug-ohjelmaa itsenäisten skriptien suorittamiseen. Käytä sitä näin: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Kaikki -- jälkeinen siirretään skriptille. Voit myös käyttää calibre-debug shebang merkkinä skripteissä, esimerkiksi näin: #!/usr/bin/env -S calibre-debug -e -- --

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[VALINNAT]

--add-simple-plugin
    Lisää yksinkertainen laajennus (eli laajennus, joka koostuu vain .py tiedostosta) määrittämällä laajennuskoodin sisältävän py-tiedoston polku.

--command, -c
    Suorita Python-koodi.

--debug-device-driver, -d
    Laitteen tunnistamisen vianmääritys

--default-programs
    Lisää/Poistaa calibren Windows oletusohjelmiin/-sta. --default-programs = (register|unregister)

--diff
    Suorita calibre diff-työkalu. Esimerkiksi: calibre-debug --diff file1 file2

--edit-book
    Käynnistä calibren "Muokkaa kirjaa" -työkalu virheenkorjaustilassa.

--exec-file, -e
    Suorita tiedoston Python-koodi.

--explode-book, -x
    Pura kirja määritettyyn kansioon. Käyttö: -x file.epub output_dir Vie kirjan HTML-tiedostojen ja metatietojen kokoelmana, jota voit muokata tavallisilla HTML-muokkaustyökaluilla. Toimii EPUB-, AZW3-, HTMLZ- ja DOCX-tiedostojen kanssa.

--export-all-calibre-data
    Vie kaikki calibre-tiedot (kirjat/asetukset/laajennukset). Normaalisti sinulta kysytään vientikansiota ja vietäviä kirjastoja. Voit myös ohittaa kysymykset määrittämällä ne komentoriviargumenteiksi. Käytä absoluuttisia polkuja vientikansiossa ja kirjastoissa. Erityistä avainsanaa "all" voidaan käyttää kaikkien kirjastojen viemiseen. Esimerkkejä: calibre-debug --export-all-calibre-data # interaktiiviseen käyttöön calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # vie kaikki tunnetut kirjastot

--fix-multiprocessing
    Sisäiseen käyttöön

--gui, -g
    Käynnistä GUI vianmääritys aktivoituna. Vianmääritys tulostaa virtoihin stdout ja stderr.

--gui-debug
    Suorita graafinen käyttöliittymä virheenkorjauskonsolilla kirjautumalla määritettyyn polkuun. Käytä vain sisäiseen käyttöön -g-vaihtoehtoa graafisen käyttöliittymän suorittamiseen virheenkorjaustilassa

--help, -h
    näytä tämä ohjeviesti ja poistu

--implode-book, -i
    Kasaa aikaisemmin räjäytetty kirja. Käyttö: -i vientikansio tiedosto.epub Tuo kirjan vientikansion tiedostoista. Kansion sisällön tulee olla aikaisemmin luotu --explode_book-komennolla. Huomaa myös, että tiedostotyypin on oltava sama kuin lähdetiedoston.

--import-calibre-data
    Tuo aikaisemmin vietyjä calibre-tietoja

--inspect-mobi, -m
    Tutki MOBI-tiedostoja osoitetuissa poluissa

--paths
    Tulosta hakemistopolut, joita tarvitaan calibre-ympäristön määrittelyyn

--run-plugin, -r
    Suorita laajennus, joka tarjoaa komentorivikäyttöliittymän. Esimerkiksi: calibre-debug -r "Plugin name" -- file1 --option1 Kaikki -- jälkeen oleva välitetään laajennukselle argumentteina.

--run-test, -t
    Suorita nimetyt testit. Käytä erityistä arvoa "all" kaikkien testien suorittamiseen. Jos testin nimi alkaa pisteellä, sen oletetaan olevan moduulin nimi. Jos testin nimi alkaa @-merkillä, sen oletetaan olevan luokan nimi.

--run-without-debug
    Älä käytä DEBUG-lippua asetettuna

--shutdown-running-calibre, -s
    Pakottaa käynnissä olevien calibre-instanssien sammumisen. Huomaa, että tämä pakottaa kaikkien käynnissä olevien prosessien päättämisen, joten käytä varoen.

--subset-font, -f
    Poimi fontista vain käytetyt merkit. Lisää -- valinnan jälkeen, jotta se siirtyy fontinpoimintaohjelmaan.

--test-build
    Testaa buildin binäärimoduulit

--version
    näytä ohjelman versionumero ja poistu

--viewer, -w
    Suorita e-kirja virheentunnistusmoodissa

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal